For the complete documentation index, see llms.txt. This page is also available as Markdown.

Generate Invite Code

Generate an invite code

post
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Responses
200

Invite code generated successfully

application/json
pknumberOptional

Dashdoc's internal id.

Example: 23498
phone_numberstringOptional
invite_codestringOptional

Invite code trucker needs to connect to mobile app. The code is generated by Dashdoc.

app_versionnumberOptional

Ignore. Dashdoc technical data.

Example: 180
readable_app_versionstringOptional

Ignore. Dashdoc technical data.

Example: 2.7.7
platformstringOptional

Ignore. Dashdoc technical data.

Example: ios
remote_idstringOptional

The ID of the trucker in your system. It has to be unique among all your truckers.

is_rentedbooleanOptional
phone_number_personalstringOptionalExample: 0601020304
addressstringOptionalExample: A random address 4 square Dashdoc
postcodestringOptionalExample: 44000
citystringOptionalExample: Nantes
country_codestringOptional

Only the 2-character codification is accepted (ISO 3166-1 alpha-2)

Example: FR
driving_license_numberstringOptionalExample: 99 999 999
driving_license_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
adr_license_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
carrist_license_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
occupational_health_visit_deadlinestring · date-timeOptionalExample: 2020-12-22T15:31:39.26167Z
new_app_update_availablebooleanOptional

Ignore. Dashdoc technical data.

eventsobject[]Optional

Ignore. Dashdoc technical data.

post/manager-truckers/{pk}/generate-invite-code/
200

Invite code generated successfully

Last updated

Was this helpful?